package com.hfkj.service.user.impl;

import com.hfkj.dao.BsUserIntegralRecordMapper;
import com.hfkj.entity.BsUserIntegralRecord;
import com.hfkj.service.user.BsUserIntegralRecordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @className: BsUserIntegralRecordServiceImpl
 * @author: HuRui
 * @date: 2024/5/20
 **/
@Service("userIntegralRecordService")
public class BsUserIntegralRecordServiceImpl implements BsUserIntegralRecordService {
    @Resource
    private BsUserIntegralRecordMapper userIntegralRecordMapper;
    @Override
    public void create(BsUserIntegralRecord record) {
        record.setStatus(1);
        record.setCreateTime(new Date());
        userIntegralRecordMapper.insert(record);
    }
}
